package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;
import java.util.Vector;

import javax.ejb.CreateException;
import javax.naming.NamingException;

public interface CustomerLocal extends javax.ejb.EJBLocalObject {

    public Name getName();
    public void setName(Name name);

    public Integer getId();


    public boolean getHasGoodCredit();
    public void setHasGoodCredit(boolean flag);

    public void addPhoneNumber(String number, byte type)
		throws NamingException, CreateException;
    public void removePhoneNumber(byte typeToRemove);
    public void updatePhoneNumber(String number, byte typeToUpdate);

    public Vector getPhoneList();

    public AddressLocal getHomeAddress();
    public void setHomeAddress(AddressLocal address);

    public CreditCardLocal getCreditCard();
    public void setCreditCard(CreditCardLocal card);

    public Collection getPhoneNumbers( );
    public void setPhoneNumbers(Collection phones);

}
